:root { 
  scroll-behavior: smooth;
}

/*--------------------------------------------------------------
# General Style
--------------------------------------------------------------*/
body {
  font-family: 'Poppins', sans-serif !important;
  margin: 0px;
  padding: 0px;
}

a {
  color: unset;
  text-decoration: none;
}

a:hover {
  color: unset;
  text-decoration: none;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  color: unset;
  font-family: "Roboto";
}

ul {
  margin: 0px;
  padding: 0px;
  list-style: none;
}


:root { 
  --bg-white: #ffffff;  
  --bg-primary: #007bff; 
  --color-white: #ffffff;
  --color-black: #000000; 
  --color-primary: #007bff;
  --color-secondary:#86BE40;
  --color-bgpink:#ffe0e5;
  --color-gray:#777777;
  --color-bggray:#f3f4f6;
}

.section_heading h2{
  font-size: clamp(28px, 5vw, 36px);
  font-weight: 700;
  color: var(--color-black);
  margin-bottom: 0px;
}
.section_heading h2 span{
  color: var(--color-primary);
}
.section_heading p{
  font-size: 14px;
  font-weight: 400;
  color: var(--color-black);
  margin-bottom: 0px;
}

.container {
  max-width: 1280px !important;
}


.btn-contact {
	display: inline-block;
  padding: 17px 30px;
  background: var(--color-primary);
  color: var(--color-white);
  border: none;
  font-size: 22px;
  border-radius: 7px;
  text-align: center;
  cursor: pointer;
  transition: background-color .3s ease;
  position: relative;
  overflow: hidden;
}

.btn-contact span:first-child {
  position: relative;
  transition: color 600ms cubic-bezier(0.48, 0, 0.12, 1);
  z-index: 10;
}

.btn-contact span:last-child {
  color: var(--color-white);
  display: block;
  position: absolute;
  bottom: 0;
  transition: all .5s cubic-bezier(.48,0,.12,1);
  z-index: 100;
  opacity: 0;
  top: 50%;
  left: 50%;
  transform: translateY(225%) translateX(-50%);
  height: 18px;
}

.btn-contact::after {
	content: "";
	position: absolute;
	bottom: -50%;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: var(--color-secondary);
	transform-origin: bottom center;
	transition: transform 600ms cubic-bezier(0.48, 0, 0.12, 1);
	transform: skewY(9.3deg) scaleY(0);
	z-index: 50;
}

.btn-contact:hover:after {
  transform-origin: bottom center;
  transform: skewY(9.3deg) scaleY(2);
}

.btn-contact:hover span:last-child {
  transform: translateX(-50%) translateY(-100%);
  opacity: 1;
  transition: all 900ms cubic-bezier(0.48, 0, 0.12, 1);
}

.section-heading h2{
  font-size: clamp(30px,5vw,42px);
  font-weight: 500;
}
.section-heading h2 span{
  color: var(--color-primary);
}
.section-heading h2 span.shadow-text{
  text-shadow: 2px 2px var(--color-gray);
}
.section-heading h2 span.text-shadow{
  text-shadow: 2px 2px var(--color-gray);
}


.section-heading p{
  font-size: 16px;
  color: var(--color-gray);
}

main section{
  padding: 100px 0px;
}

.color-primary{
  color: var(--color-primary);
}
a.color-primary{
  color: var(--color-primary);
}
a.color-primary:hover{
  color: var(--color-primary);
}

.gap-y25{
  gap: 25px 0px;
}

/*--------------------------------------------------------------
  # Header
--------------------------------------------------------------*/
.header {
    background-color: rgba(255, 255, 255, 0.8);
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
    padding: 2px 0;
    transition: all 0.5s;
    z-index: 997;
    box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);
}

.scrolled .header {
    box-shadow: 0px 0 18px rgba(0, 0, 0, 0.1);
    padding: 2px 0px;
}
.header .logo img {
    max-width: 192px;
    max-height: 3rem;
}

.header .logo h1 {
  font-size: 30px;
  margin: 0;
  font-weight: 700;
  color: var(--heading-color);
}

@media (max-width: 1200px) {
  .header .logo {
    order: 1;
  }


  .header .navmenu {
    order: 3;
  }
}


/*--------------------------------------------------------------
# Section
--------------------------------------------------------------*/
.banner {
    padding: 75px 0px 0px 0px;
    overflow: hidden;
}
.banner .container-fluids {
    width: 90%;
    margin-left: auto;
    margin-right: auto;
}

 .banner .banner_heading h2 {
    font-size: clamp(30px, 5vw, 60px);
    font-weight: bold;
    margin-bottom: 0;
}
 .banner .banner_heading h2 > span{
  color: var(--color-primary);
 }

.banner .banner_heading h5 {
    font-size: clamp(24px, 5vw, 30px);
    font-weight: bold;
    font-family: "Playfair Display", serif !important;
    font-style: italic;
}

.call_banner{
  background-color: var(--color-bgpink);
  padding-top: 16px;
  padding-bottom: 30px;
}
.call_banner .call_button button{
  border: 2px solid var(--color-white);
  border-radius: 30px;
  padding: 12px 18px;
  min-width: 288px;
  box-shadow: 0 1px 3px 0 rgba(0,0,0,.1),0 1px 2px 0 rgba(0,0,0,.06);
  background-color: var(--color-primary);
  color: var(--color-white);
  font-size: 16px;
  font-weight: 500;
  display: flex;
  align-items: center;
  justify-content: center;
  animation: upDown 1.1s ease-in-out infinite;
}

@keyframes upDown {
  0%, 100% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-8px);
  }
}

.call_banner .number h4{
  font-size: clamp(18px, 5vw, 24px);
  font-weight: 600;
  color: var(--color-black);
  margin-bottom: 0px;
  text-align: center;
}
.call_banner .button .call{
  background-color: var(--color-white);
  box-shadow: 0 1px 3px 0 rgba(0,0,0,.1),0 1px 2px 0 rgba(0,0,0,.06);
  color: var(--color-black);
  font-size: 16px;
  font-weight: 400;
  padding: 10px 22px;
  min-width: 192px;
  border-radius: 30px;
  border: 2px solid var(--color-primary);
  display: flex;
  align-items: center;
  justify-content: center;
}
.call_banner .button .call.what{
  background-color: #059669;
  border: 2px solid var(--color-white);
  color: var(--color-white);
}

.gamerates{
  background-color: var(--color-bggray);
  padding-top: 30px;
  padding-bottom: 30px;
}
.gamerates .cards{
  background-color: var(--color-white);
  padding: 16px 8px;
  border-radius: 0px 8px 8px 0px;
  border-left: 4px solid var(--color-primary);
  box-shadow: 0 1px 3px 0 rgba(0,0,0,.1),0 1px 2px 0 rgba(0,0,0,.06);
}
.gamerates .cards .w_50{
  min-width: 50%;
  max-width: 50%;
  width: 50%;
}

.gamerates .cards h4 {
    font-size: clamp(16px, 5vw, 20px);
    font-weight: 700;
    margin-bottom: 0;
    color: var(--color-black);
    text-transform: capitalize;
}
.gamerates .cards h5 {
    font-size: clamp(16px, 5vw, 20px);
    font-weight: 700;
    margin-bottom: 0;
    color: var(--color-primary);
    text-transform: uppercase;
}

.vailablegames{
  background-color: var(--color-white);
  padding-top: 30px;
  padding-bottom: 30px;
}

.card_anchore a{
  font-size: 14px;
  font-weight: 400;
  color: var(--color-primary);
  text-transform: capitalize;
}
.card_anchore .jodi_position a{
    position: relative;
    margin-right: 10px;
}
.card_anchore .jodi_position a::after {
    content: "";
    position: absolute;
    right: -7px;
    top: 0px;
    width: 1px;
    height: 100%;
    background-color: var(--color-black);
}

.gamerates .cards .w_50 .image a img{
  box-shadow: 0 4px 12px #007bff;
  max-width: 60px;
  border-radius: 100%;
}
.gamerates .cards .w_50 .image.red a img{
  box-shadow: 0 4px 12px #ff0015;
}
.gamerates .cards .w_50 .image p{
  font-size: 16px;
  font-weight: 700;
  color: var(--color-black);
  margin-bottom: 0;
  margin-top: 10px;
}

.whatsaap_side {
    position: fixed;
    top: 50%;
    left: 8px;
    transform: translateY(-50%);
}
.whatsaap_side p {
    background: #059669;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 36px;
    height: 36px;
    border-radius: 100%;
}
.whatsaap_side p i {
    font-size: 16px;
    color: var(--color-white);
}




/*--------------------------------------------------------------
# Navigation Menu
--------------------------------------------------------------*/
/* Desktop Navigation */
@media (min-width: 1200px) {
  .navmenu {
    padding: 0;
  }

  .navmenu ul {
    margin: 0;
    padding: 0;
    display: flex;
    list-style: none;
    align-items: center;
  }

  .navmenu li {
    position: relative;
  }

  .navmenu a, .navmenu a:focus {
    color: var(--color-primary);
    padding: 18px 15px;
    font-size: 16px;
    font-weight: 500;
    display: flex;
    align-items: center;
    transition: all .5s;
  }

  .navmenu a i,
  .navmenu a:focus i {
    font-size: 12px;
    line-height: 0;
    margin-left: 5px;
    transition: 0.3s;
  }

  .navmenu li:last-child a {
    padding-right: 0;
  }

  .navmenu li:hover>a,
  .navmenu .active,
  .navmenu .active:focus {
    color: var(--color-primary);
  }

  .navmenu .dropdown ul {
    margin: 0;
    padding: 10px 0;
    background: var(--color-white);
    display: block;
    position: absolute;
    visibility: hidden;
    left: 14px;
    top: 130%;
    opacity: 0;
    transition: 0.3s;
    border-radius: 4px;
    z-index: 99;
    box-shadow: 0px 0px 30px rgba(0, 0, 0, 0.1);
  }

  .navmenu .dropdown ul li {
    min-width: 200px;
  }

  .navmenu .dropdown ul a {
    padding: 7px 15px;
    font-size: 15px;
    text-transform: none;
  }

  .navmenu .dropdown ul a i {
    font-size: 12px;
  }

  .navmenu .dropdown ul a:hover,
  .navmenu .dropdown ul .active:hover,
  .navmenu .dropdown ul li:hover>a {
    color: var(--color-primary);
  }

  .navmenu .dropdown:hover>ul {
    opacity: 1;
    top: 100%;
    visibility: visible;
  }

  .navmenu .dropdown .dropdown ul {
    top: 0;
    left: -90%;
    visibility: hidden;
  }

  .navmenu .dropdown .dropdown:hover>ul {
    opacity: 1;
    top: 0;
    left: -100%;
    visibility: visible;
  }

  .navmenu .megamenu {
    position: static;
  }

  .navmenu .megamenu ul {
    margin: 0;
    padding: 10px;
    background: var(--color-white);
    box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.1);
    position: absolute;
    top: 130%;
    left: 0;
    right: 0;
    visibility: hidden;
    opacity: 0;
    display: flex;
    transition: 0.3s;
    border-radius: 4px;
    z-index: 99;
  }

  .navmenu .megamenu ul li {
    flex: 1;
  }

  .navmenu .megamenu ul li a,
  .navmenu .megamenu ul li:hover>a {
    padding: 10px 20px;
    font-size: 15px;
    color: var(--nav-dropdown-color);
  }

  .navmenu .megamenu ul li a:hover,
  .navmenu .megamenu ul li .active,
  .navmenu .megamenu ul li .active:hover {
    color: var(--color-primary);
  }

  .navmenu .megamenu:hover>ul {
    opacity: 1;
    top: 100%;
    visibility: visible;
  }
}

/* Mobile Navigation */
@media (max-width: 1199px) {
  .mobile-nav-toggle {
    color: var(--color-black);
    font-size: 28px;
    line-height: 0;
    margin-right: 10px;
    cursor: pointer;
    transition: color 0.3s;
  }

  .header {
    padding: 5px 0;
}

.banner {
    padding: 66px 0px 0px 0px;
}

  .navmenu {
    padding: 0;
    z-index: 9997;
  }

  .navmenu ul {
    list-style: none;
    position: absolute;
    padding: 50px 0 10px 0;
    margin: 0;
    border-radius: 0;
    background-color: var(--bg-white);
    transition: all .5s;
    z-index: 9998;
    box-shadow: 0px 0px 30px rgba(0, 0, 0, 0.1);
    top: 0;
    right: -100%;
    width: 85%;
    /* bottom: 0; */
    height: 100vh;
}

  .navmenu a, .navmenu a:focus {
    color: var(--color-primary);
    padding: 7px 15px;
    font-size: 15px;
    font-weight: 500;
    display: flex;
    align-items: center;
    justify-content: space-between;
    white-space: nowrap;
    transition: all .5s;
}

  .navmenu a i,
  .navmenu a:focus i {
    font-size: 12px;
    line-height: 0;
    margin-left: 5px;
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    transition: 0.3s;
    background-color: color-mix(in srgb, var(--bg-primary), transparent 90%);
  }

  .navmenu a i:hover,
  .navmenu a:focus i:hover {
    background-color: var(--bg-primary);
    color: var(--color-white);
  }

  .navmenu a:hover,
  .navmenu .active,
  .navmenu .active:focus {
    color: var(--color-primary);
  }

  .navmenu .active i,
  .navmenu .active:focus i {
    background-color: var(--bg-primary);
    color: var(--color-white);
    transform: rotate(180deg);
  }

  .navmenu .dropdown ul {
    position: static;
    display: none;
    z-index: 99;
    padding: 10px 0;
    margin: 10px 20px;
    background-color: var(--color-white);
    border: 1px solid color-mix(in srgb, var(--default-color), transparent 90%);
    transition: all 0.5s ease-in-out;
    box-shadow: none;
  }

  .navmenu .dropdown ul ul {
    background-color: rgba(33, 37, 41, 0.1);
  }

  .navmenu .dropdown > .dropdown-active {
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    display: block;
    height: auto;
  }

  .mobile-nav-active {
    overflow: hidden;
  }

  .mobile-nav-active .mobile-nav-toggle {
    color: var(--color-black);
    font-size: 32px;
    cursor: pointer;
    line-height: 0;
    transition: .5s;
    position: fixed;
    right: 4px;
    top: 10px;
    z-index: 9999;
}

  .mobile-nav-active .navmenu {
    position: fixed;
    /* overflow: hidden; */
    inset: 0;
    background: rgba(33, 37, 41, 0.8);
    transition: 0.3s;
  }

  .mobile-nav-active .navmenu > ul {
    display: block;
    right: 0;
  }

  



}

@media (min-width: 767px) and (max-width: 1199px){
  .navmenu ul {
    width: 350px;
  }
}

@media (max-width: 991px){

main section{
  padding: 50px 0px;
}
.banner .container-fluids {
    width: 100%;
}


}


@media (max-width: 767px){
  .call_banner .call_button button{
  min-width: unset;
  padding: 12px 26px;
}
.call_banner .button .call {
    min-width: unset;
    padding: 10px 22px;
}
}
@media (max-width: 480px){
.call_banner .button .call {
    min-width: unset;
    padding: 10px 12px;
}
.gamerates .cards .w_50.w_60{
  min-width: 60%;
  max-width: 60%;
  width: 60%;
}
.gamerates .cards .w_50.w_40{
  min-width: 40%;
  max-width: 40%;
  width: 40%;
}

}

